Get a list of locations
get
/Location
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves a list of locations that meet the supplied query parameters.
- Provide at least one of
_id,name, oraddress. - Do not combine
_idwithnameoraddress.
Request
Query Parameters
-
_id: string
The logical resource ID.
-
_revinclude: string
The inclusion of related Provenance resources.Allowed Values:
[ "Provenance:target" ] -
address: string
The location address text.
-
name: string
The location name text.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful search response.
Root Schema : schema
Type:
Show Source
object-
entry: array
entry
-
id(required): string
-
link: array
link
-
resourceType(required): string
Allowed Values:
[ "Bundle" ] -
type(required): string
Nested Schema : BundleEntryForLocation
Type:
Show Source
object-
fullUrl: string
The resource URL.
-
resource: object
Location
A physical place where healthcare services are provided.
-
search: object
BundleEntrySearch
Nested Schema : Location
Type:
objectA physical place where healthcare services are provided.
Show Source
-
_name: object
PrimitiveElement
-
address: array
address
The physical address details.
-
id(required): string
The logical ID of the location.
-
managingOrganization: object
ReferenceForLocation
-
name(required): string
The human-readable name of the location.
-
resourceType(required): string
Allowed Values:
[ "Location" ] -
status: string
Allowed Values:
[ "active", "suspended", "inactive" ]Whether the location is in use. -
telecom: array
telecom
The contact details for the location.
Nested Schema : ReferenceForLocation
Type:
Show Source
object-
reference(required): string
The relative organization reference.
Nested Schema : ContactPoint
Type:
Show Source
object-
period: object
Period
-
rank: integer
-
system: string
The telecommunications form.
-
use: string
-
value: string
The contact value.
Nested Schema : BundleLink
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ]The link relation. -
url: string
The link URL.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source